index

Varkon MBS Programmers manual

# plot_win - Procedure

## Description

Writes a portion of a graphical window to a plotfile using GKS metafile (.PLT) or AutoCAD format (.DXF).

## Syntax

      plot_win(win_id, minpos, maxpos, file, origin);

      int    win_id;
      vector minpos;
      vector maxpos;
      string file;
      vector origin;

## Principal parameters

win_id | - The ID of the graphical window. Main graphics window = 0.
minpos | - Lower left corner of plot area.
maxpos | - Upper right corner of plot area.
file | - Name of file followed by ".PLT" or ".DXF". A path may be included.

## Optional parameters

origin | - The plot origin. Default = minpos.

## Comments

plot_win() automatically uses a value for curve accuracy twice as high as the value currently active on the display.

plot_win() can only produce GKS or DXF format but Varkon also includes translators (plotter drivers) that convert plotfiles to formats like HP-GL or Postscript.

Varkon version 1.19C svn# 120